Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security
Interface IPermissionManager

All Known Subinterfaces:
  IUpdatingPermissionManager

All Known Implementing Classes:
  PermissionManagerImpl, UpdatingPermissionManagerImpl

    public interface IPermissionManager

An interface for retrieving `IAuthorizationPrincipals` and their `Permissions` on behalf of a `Permission` owner.

Version:
  $Revision: 1.3 $
Author:
  Dan Ellentuck

Method Summary
`IPermission[]` | `getAllPermissions(IAuthorizationPrincipal principal, java.lang.String activity, java.lang.String target)` Returns `IPermissions` granted to the `IAuthorizationPrincipal` by the owner of this `IPermissionManager`, for the given `activity` and `target`.
`IAuthorizationPrincipal[]` | `getAuthorizedPrincipals(java.lang.String activity, java.lang.String target)` Returns `IAuthorizationPrincipals` granted `Permissions` by the owner of this `IPermissionManager`, for the given `activity` and `target`.
`java.lang.String` | `getOwner()`
`IPermission[]` | `getPermissions(IAuthorizationPrincipal principal, java.lang.String activity, java.lang.String target)` Returns `IPermissions` granted to the `IAuthorizationPrincipal` by the owner of this `IPermissionManager`, for the given `activity` and `target`.
`IPermission[]` | `getPermissions(java.lang.String activity, java.lang.String target)` Retrieve an array of IPermission objects based on the given parameters.

Method Detail

### getAllPermissions

    IPermission[] getAllPermissions(IAuthorizationPrincipal principal,
                                    java.lang.String activity,
                                    java.lang.String target)
                                    throws AuthorizationException

  Returns `IPermissions` granted to the `IAuthorizationPrincipal` by the owner of this `IPermissionManager`, for the given `activity` and `target`. This includes inherited `IPermissions`. If any parameter is null, it is ignored.

  Parameters:
    `principal` - IAuthorizationPrincipal
    `activity` - String - the Permission activity
    `target` - String - the Permission target
  Returns:
    IPermission[]
  Throws:
    `AuthorizationException`

### getAuthorizedPrincipals

    IAuthorizationPrincipal[] getAuthorizedPrincipals(java.lang.String activity,
                                                      java.lang.String target)
                                                      throws AuthorizationException

  Returns `IAuthorizationPrincipals` granted `Permissions` by the owner of this `IPermissionManager`, for the given `activity` and `target`. If either parameter is null, it is ignored.

  Parameters:
    `activity` - String - the Permission activity
    `target` - String - the Permission target
  Returns:
    IAuthorizationPrincipal[]
  Throws:
    `AuthorizationException`

### getOwner

    java.lang.String getOwner()

  Returns:
    java.lang.String

### getPermissions

    IPermission[] getPermissions(java.lang.String activity,
                                 java.lang.String target)
                                 throws AuthorizationException

  Retrieve an array of IPermission objects based on the given parameters. Any null parameters will be ignored.

  Parameters:
    `activity` - String
    `target` - String
  Returns:
    Permission[]
  Throws:
    `AuthorizationException`

### getPermissions

    IPermission[] getPermissions(IAuthorizationPrincipal principal,
                                 java.lang.String activity,
                                 java.lang.String target)
                                 throws AuthorizationException

  Returns `IPermissions` granted to the `IAuthorizationPrincipal` by the owner of this `IPermissionManager`, for the given `activity` and `target`. If any parameter is null, it is ignored.

  Parameters:
    `principal` - IAuthorizationPrincipal
    `activity` - String - the Permission activity
    `target` - String - the Permission target
  Returns:
    IPermission[]
  Throws:
    `AuthorizationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD